<div class="flexbox-column protein-table">
  <!-- OPTIONS -->
  <div style="display: flex; justify-content: space-between">
    <mat-button-toggle-group [(ngModel)]="this.mpaTableDataService.groupSelection"
      style="height: fit-content; margin: auto" name="groupSelection" aria-label="Protein Group Selection">
      <mat-button-toggle style="font-size: 0.9rem" [value]="GroupSelection.MAINGROUPS">Protein Groups</mat-button-toggle>
      <mat-button-toggle style="font-size: 0.9rem" [value]="GroupSelection.SUBGROUPS">Protein Subgroups</mat-button-toggle>
    </mat-button-toggle-group>
  </div>
  <ng-container *ngIf="this.mpaTableDataService.groupSelection === GroupSelection.MAINGROUPS">
    <app-group-table></app-group-table>
  </ng-container>
  <ng-container *ngIf="this.mpaTableDataService.groupSelection === GroupSelection.SUBGROUPS">
    <app-subgroup-table></app-subgroup-table>
  </ng-container>
</div>
